Skip to main content
`Ctrl`+`K`

# VecStepMaxBounded

See below

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStepMaxBounded(Vec X, Vec DX, Vec XL, Vec XU, PetscReal *stepmax)

Collective

## Input Parameters

- X - vector with no negative entries

- XL - lower bounds

- XU - upper bounds

- DX - step direction, can have negative, positive or zero entries

## Output Parameter

- stepmax - minimum value so that X[i] + stepmaxDX[i] <= XL[i] or XU[i] <= X[i] + stepmaxDX[i]

## See Also

`Vec`

## Level

intermediate

## Location

src/vec/vec/utils/projection.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages